<?php 
	if(!isset($_SESSION))
		session_start();
	if (!isset($_SESSION['usuarioLogin']) || $_SESSION['usuarioLogin'] == ""){
		session_unset();
		session_destroy();
		header("Location: login.php");
		exit();
	}
?>
<?php
	require_once('../../Connections/catalogo.php');
	$idMarca = 44;
	if (isset($_GET['idMarca'])){
		$idMarca = $_GET['idMarca'];
	}
	$vehiculos = $mysqli->query("SELECT vehiculos.id as idVehiculo, idPieza, idMarcaVehiculo, marca, segmento, modelo, tipo, otros, motor, traccion, posicion, anioInicial, anioFinal, OEMS FROM vehiculos INNER JOIN marcasvehiculos ON vehiculos.idMarcaVehiculo = marcasvehiculos.id WHERE marcasvehiculos.id = " . $idMarca . " ORDER BY segmento, modelo, tipo");
	
	if(!$vehiculos)
		echo "Error: " . $mysqli->error;	
?> 

<div class="heading">
    <div class="col">Editar</div>
    <div class="col">Marca</div>
    <div class="col">Segmento</div>
    <div class="col">Modelo</div>
    <div class="col">Tipo</div>
    <div class="col">Otros</div>
    <div class="col">Pieza</div>
    <div class="col">OEM Nº</div>
    <div class="col">Año Inicio</div>
    <div class="col">Año Fin</div>
    <div class="col">Motor</div>
    <div class="col">Tracción</div>
    <div class="col">Posición</div>
    <div class="col">Eliminar</div>
</div>
<?php 
if ($vehiculos->num_rows > 0){
	while ($row = $vehiculos->fetch_object()){ 
	?>
		<div class="table-row">
			<div class="col">
            	<a href='javascript:MostrarAltaEditar("vehiculos", <?php echo $row->idVehiculo ?>)'>
            		<img src="imagenes/editar.png" width="48" height="48" />
               	</a>
           	</div> 
			<div class="col"><?php echo $row->marca ?></div> 
			<div class="col"><?php echo $row->segmento ?></div> 
			<div class="col"><?php echo $row->modelo ?></div> 
			<div class="col"><?php echo $row->tipo ?></div> 
			<div class="col"><?php echo $row->otros ?></div> 
            <div class="col">
           			<?php
            		$piezasCodigos = $mysqli->query("SELECT idPieza, GROUP_CONCAT(codigo SEPARATOR ',') as piezacodigo FROM piezascodigos WHERE idPieza = '" . $row->idPieza . "' GROUP BY idPieza");
					$datosPieza = $piezasCodigos->fetch_object();
					echo $datosPieza->piezacodigo;
					?>
            </div>
			<div class="col">
				<?php if ($row->OEMS <> "NULL") echo str_replace(';', ' - ', $row->OEMS); else echo '-' ?>
			</div> 
			<div class="col"><?php echo $row->anioInicial ?></div> 
			<div class="col"><?php echo $row->anioFinal ?></div> 
			<div class="col"><?php echo $row->motor ?></div> 
			<div class="col"><?php echo $row->traccion ?></div> 
			<div class="col"><?php echo $row->posicion ?></div> 
			<div class="col">
            	<a href='javascript:confirmarEliminar("vehiculos", <?php echo $row->idVehiculo ?>)'>	
                	<img src="imagenes/power-on-off.png" width="48" height="48" />
                </a>
            </div>
		</div>           
	<?php
	}
}   
else{
	echo "No existen vehículos.";
}
?>
                

